Gecode::Int::PLBA Class Reference

Class for defining basic and advanced propagation level. More...

`#include <task.hh>`

## Static Public Attributes

static const bool | basic = true
| Perform basic propagation.
static const bool | advanced = true
| Do not perform advanced propagation.
static const PropCond | pc = PC_INT_DOM
| For basic propagation, domain operations are needed.

## Detailed Description

Class for defining basic and advanced propagation level.

Definition at line 472 of file task.hh.

## Member Data Documentation

## basic

const bool Gecode::Int::PLBA::basic = true

static

Perform basic propagation.

Definition at line 475 of file task.hh.

## advanced

const bool Gecode::Int::PLBA::advanced = true

static

Do not perform advanced propagation.

Definition at line 477 of file task.hh.

## pc

const PropCond Gecode::Int::PLBA::pc = PC_INT_DOM

static

For basic propagation, domain operations are needed.

Definition at line 479 of file task.hh.

The documentation for this class was generated from the following file:

- gecode/int/task.hh